function [x, fx] = bisekcja(a, b, dokl)
   fa = fun(a)   
   while abs(b - a) > dokl
      x = 0.5 * (a + b)
      fx = fun(x)
      test = fa * fx
      if test < 0 then
         b = x
      elseif test > 0 then   
         a = x
         fa = fx
      else
         return
      end
   end
endfunction   

function f = fun(R)
   f = exp(-0.005 * R) ..
       * cos(sqrt(2000 - 0.01 * R * R) ..
       * 0.05) - 0.01
endfunction

